/*  $Id: setupvorbis.cpp,v 1.3 2004/03/13 23:04:13 mbn Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

//! component="Vorbis"

#include "API/Vorbis/setupvorbis.h"
#include "API/Vorbis/soundprovider_vorbis.h"
#include "API/Sound/SoundProviders/soundprovider_type_register.h"

static int cl_vorbis_init = 0;
static CL_SoundProviderType *providertype_ogg = 0;

CL_SetupVorbis::CL_SetupVorbis(bool register_resources_only)
{
	CL_SetupVorbis::init(register_resources_only);
}

CL_SetupVorbis::~CL_SetupVorbis()
{
	CL_SetupVorbis::deinit();
}

void CL_SetupVorbis::init( bool register_resources_only )
{
	cl_vorbis_init++;
	if (cl_vorbis_init == 1)
	{
		providertype_ogg = new CL_SoundProviderType_Register<CL_SoundProvider_Vorbis>("ogg");
	}
}

void CL_SetupVorbis::deinit()
{
	cl_vorbis_init--;
	if (cl_vorbis_init == 0)
	{
		delete providertype_ogg;
		providertype_ogg = 0;
	}
}
